Upgrade to 4.4.0 using the repositories

I recent upgraded from 4.3.0 to 4.4.0 using kopano repos and everything went swimmingly, except for one little problem.

Whenever I run the platform command I get a warning message.:

teams:/opt/mattermost/bin# sudo -u mattermost ./platform user search username
[2017/10/25 13:07:43 IST] [WARN] The database schema version of 4.3.0 appears to be out of date
[2017/10/25 13:07:43 IST] [WARN] Attempting to upgrade the database schema version to 4.4.0

Has anyone else had this problem?

Thanks
Bob

Hello @robertwbrandt ,

the Kopano repositories do not now and never in between provided Mattermost 4.4.0. Are you sure you used our packages?

My bad, the current version is 4.3.0. (I’m not sure of the version prior to update)

But this warning only happened since my last “apt upgrade”

Bob

@robertwbrandt

In that case it sounds a bit like the first item in their 4.3.1 changelog: https://docs.mattermost.com/administration/changelog.html#release-v4-3-1

This version was released last monday and is already available in the master and pre-final repositories. It will be automatically promoted to final on friday.